• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

Windows Export to Mac from Windows?

So I made a game for a school project and I need to get children at a local school to play it. The problem is that their computer lab only has Apple computers. I didn't think this was an issue because the GameMaker website says "This is a permanent GameMaker Studio 2 license which enables exports to Windows, Mac and Ubuntu," which I interpreted to mean that from any deskop one could export to Windows or Mac. However, I can't figure out how to do that and when looking for helpful forum threads I only come across people saying you can't, but according to the website you can. Is there a way to export a file playable on a Mac from a Windows computer? I have the desktop version of the Developer license btw.
 

FrostyCat

Member
You cannot export to Mac without a Mac. This is clearly implied in Get GameMaker > System Requirements > Required SDKs FAQ > macOS:
macOS (setup guide)
  • All code-signed macOS apps built after July 31st 2019 are now required to be uploaded to Apple and notarised once they have been built. For detailed info, please see our FAQ about Apple's "notarization" policy on recent versions of macOS.
  • You must code-sign your packages, otherwise Gatekeeper will say it's damaged and ask to delete it on Mojave and above.
  • To enable "Apple Silicon" support in GMS2 2.3.1 currently requires Xcode 12 Beta (the non-Beta version does not contain the universal binaries tools) and macOS Catalina or Big Sur.
  • Xcode 12 support requires GMS2 2.3.0+. You will also need macOS Catalina or Big Sur in order to install Xcode 12.
  • Xcode 11 is the last version supported by 2.2.5 or older, so please update your GMS2.
  • If you're trying to use an older version of GMS2, Xcode or macOS than mentioned immediately above, then you will need to update, as those old version cannot be used now.
For simply playing GMS2 games: OS X 10.9 or later is required for AppStore games and OS X 10.7 or later is required for non-AppStore games. All games are 64bit-only.
Several items on this list are obviously exclusive to Macs, especially XCode and playtesting.
 
Top